Package com.sas.lsaf.query.repository

## Class RepositoryContainerQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.repository.RepositoryItemQuery
    - - com.sas.lsaf.query.repository.RepositoryContainerQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RepositoryContainerQuery
      extends RepositoryItemQuery

  This class provides an API to generate criteria when querying repository containers. The query applies only to containers with columns specific to a container. The size column represents the total size of all of the files in the container and below, which includes all versions of the file, if it is versioned.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` | The value that represents all columns in `RepositoryContainerQuery`.
    `static Column` | `DEFAULT_MAJOR_VERSION_LIMIT` | The column that represents the default limit for the major versions of files that were created within the container.
    `static Column` | `DEFAULT_MINOR_VERSION_LIMIT` | The column that represents the default limit for the minor versions of files that were created within the container.
    `static Column` | `SIZE` | The column that represents the size (in bytes) of a container, which includes all versions of all files in the container and below.

    - ### Fields inherited from class com.sas.lsaf.query.repository.RepositoryItemQuery

      `CREATED, CREATED_BY, DESCRIPTION, ID, LAST_MODIFIED, LAST_MODIFIED_BY, NAME, PATH, PROPERTIES_LAST_MODIFIED, PROPERTIES_LAST_MODIFIED_BY, STATE, SYNCABLE, TOTAL_CONTAINER_SIZE, TOTAL_FILE_SIZE, TYPE_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryContainerQuery()` |

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final Column SIZE

      The column that represents the size (in bytes) of a container, which includes all versions of all files in the container and below.

    - #### DEFAULT_MAJOR_VERSION_LIMIT

          public static final Column DEFAULT_MAJOR_VERSION_LIMIT

      The column that represents the default limit for the major versions of files that were created within the container.

    - #### DEFAULT_MINOR_VERSION_LIMIT

          public static final Column DEFAULT_MINOR_VERSION_LIMIT

      The column that represents the default limit for the minor versions of files that were created within the container.

    - #### ALL

          public static final java.util.List<Column> ALL

      The value that represents all columns in `RepositoryContainerQuery`.

  - ### Constructor Detail

    - #### RepositoryContainerQuery

          public RepositoryContainerQuery()